Subject: Re: bug#29892: dvtm does not properly export terminfo

From: [email-masked] (Ludovic Courtès)
Date: Mon, 01 Jan 2018 18:19:36 +0100

Hi!

Jelle Licht <[email-masked]> skribis:

> As far as I can see, the current version of dvtm does not work properly
> with programs such as htop etc.
>
> To reproduce:
> ```
> $ guix package -i dvtm
> $ dvtm
> $ htop
> ```
> It only worked properly once I added something like:
> `export TERMINFO_DIRS="/home/jelle/.guix-profile/share/terminfo"`.
>
> Would a proper fix be to simply add a native-search-path declaration to the
> dvtm package? If so, I can prepare a patch this weekend.

‘TERMINFO_DIRS’ is a search path of ncurses.  However, because search
paths of dependencies are not honored, it doesn’t get set:

  https://bugs.gnu.org/22138

This is what we should fix.

It would feel wrong to add ‘TERMINFO_DIRS’ as a search path of dvtm and
everything that depends on ncurses.

Thanks,
Ludo’.